Skip to content

Monitoring - One Platform Organizations Integration API (v1)

Monitoring - Public endpoints to integrate Organization with One Platform

Download OpenAPI description
Languages
Servers
https://docs.namirial.app

Consumptions

Show consumptions of your product in One Platform

Operations

Get product consumptions as aggregated for a consumer based on related consumer associated to given organization.

Request

Security policies: OrganizationsConsumptionsView

Security
OpenIdConnect
Path
idstringrequired

The identifier of the organization which associated consumer should be used as parent consumer filter for given child consumer aggregated consumptions.

consumerIdstringrequired

The consumer identifier for which aggregated consumptions are desired.

Query
productIdstringrequired

The product identifier for which consumer's aggregated consumptions should be filtered.

metricIdstringrequired

The list of metric identifiers for which consumer's aggregated consumptions should be filtered. Is JSON array format.

legalEntityIdstring

The legal entity identifier for which consumer's aggregated consumptions should be filtered.

rootPathstring

The root path for which consumer's aggregated consumptions should be filtered (activated with strict at true).

yearinteger(int32)required

The year for which consumer's aggregated consumptions should be filtered.

monthinteger(int32)

The month for which consumer's aggregated consumptions should be filtered. If Empty then we will get aggregated consumptions for all months of the given year.

attributeIdstring

The attribute identifier for which consumer's aggregated consumptions should be filtered.

aggregateTypestring

Aggregate type (Daily, Monthly, Yearly) of the aggregated consumptions value.

strictboolean

Boolean which defines whether or not to strictly activate given filter params. (Default: false)

integratorIdstring

The integrator identifier for which aggregated consumptions are desired (activated with strict at true).

ownerboolean

Boolean which defines whether only consumptions directly owned by provided consumerId should be returned (activated with strict at true). (Default: false)

legalEntityModeboolean
curl -i -X GET \
  'https://docs.namirial.app/v1/organizations/{id}/consumptions-aggregated/consumers/{consumerId}?productId=string&metricId=string&legalEntityId=string&rootPath=string&year=0&month=0&attributeId=string&aggregateType=string&strict=true&integratorId=string&owner=true&legalEntityMode=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
productIdstring
attributeIdstring
aggregateTypestring(int32)
Enum"Daily""Monthly""Yearly"
consumptionsArray of objects(ConsumptionAggregatedDto)
metricInfosArray of objects(MetricInfo)
consumerIdstring
Response
application/json
{ "productId": "string", "attributeId": "string", "aggregateType": "Daily", "consumptions": [ { … } ], "metricInfos": [ { … } ], "consumerId": "string" }

Get product consumptions as aggregated for business relation

Request

Security policies: OrganizationsConsumptionsView

Security
OpenIdConnect
Path
idstringrequired

The identifier of the organization which associated consumer should be used as business relation owner

businessRelationIdstringrequired

The business relation identifier for which aggregated consumptions are desired.

Query
metricIdstringrequired

The list of metric identifiers for which aggregated consumptions should be filtered. Is JSON array format.

yearinteger(int32)required

The year for which aggregated consumptions should be filtered.

monthinteger(int32)

The month for which aggregated consumptions should be filtered. If Empty then we will get aggregated consumptions for all months of the given year.

attributeIdstring

The attribute identifier for which aggregated consumptions should be filtered.

aggregateTypestring

Aggregate type (Daily, Monthly, Yearly) of the aggregated consumptions value.

legalEntityModeboolean

Boolean which defines if try to use the legal entity associated to the organization consumer. (Default: false)

curl -i -X GET \
  'https://docs.namirial.app/v1/organizations/{id}/consumptions-aggregated/business-relations/{businessRelationId}?metricId=string&year=0&month=0&attributeId=string&aggregateType=string&legalEntityMode=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
productIdstring
attributeIdstring
aggregateTypestring(int32)
Enum"Daily""Monthly""Yearly"
consumptionsArray of objects(ConsumptionAggregatedDto)
metricInfosArray of objects(MetricInfo)
Response
application/json
{ "productId": "string", "attributeId": "string", "aggregateType": "Daily", "consumptions": [ { … } ], "metricInfos": [ { … } ] }

Get latest consumptions for a business relation

Request

It will return the latest consumptions for a business relation using query filters

Security policies: OrganizationsConsumptionsView

Security
OpenIdConnect
Path
idstringrequired

The organization identifier

Query
businessRelationIdstringrequired

Business relation identifier.

metricIdstring

Metric identifier. (Default: All metrics)

legalEntityModeboolean

Boolean which defines if try to use the legal entity associated to the organization consumer. (Default: false)

curl -i -X GET \
  'https://docs.namirial.app/v1/organizations/{id}/consumptions/latest?businessRelationId=string&metricId=string&legalEntityMode=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
businessRelationIdstring
consumptionsArray of objects(LastConsumptionDto)
Response
application/json
{ "businessRelationId": "string", "consumptions": [ { … } ] }

Business Relations

Operations

Consumers

Operations

Contract Items

Operations

Contracts

Operations

Counters

Operations

Product Metrics

Operations

Service Activation Groups

Operations